
#include <plant/InterV__plant__noChange.hpp>
#include <plant/ConnT__plant__noChange.hpp>

InterV__plant__noChange::InterV__plant__noChange(const ConnT__plant__noChange &connector, const Interaction& interaction, const vector<PortValue *> &values) :
        InteractionValue(),
        mInteraction(connector, interaction.ports()) {
    this->mPortValues.reserve(3);
    commonRecycle(interaction, values);
}


void InterV__plant__noChange::commonRecycle(const Interaction& interaction, const vector<PortValue *> &values) {
	this->mPortValues.clear();
    for (vector<PortValue *>::const_iterator valueIt = values.begin() ;
         valueIt != values.end() ;
         ++valueIt) {
        this->mPortValues.push_back(*valueIt);
    }
}


InterV__plant__noChange::~InterV__plant__noChange(){
}


