
#include <plant/InterV__plant__rendezVous.hpp>
#include <plant/ConnT__plant__rendezVous.hpp>

InterV__plant__rendezVous::InterV__plant__rendezVous(const ConnT__plant__rendezVous &connector, const Interaction& interaction, const vector<PortValue *> &values) :
        InteractionValue(),
        mInteraction(connector, interaction.ports()) {
    this->mPortValues.reserve(2);
    commonRecycle(interaction, values);
}


void InterV__plant__rendezVous::commonRecycle(const Interaction& interaction, const vector<PortValue *> &values) {
	this->mPortValues.clear();
    for (vector<PortValue *>::const_iterator valueIt = values.begin() ;
         valueIt != values.end() ;
         ++valueIt) {
        this->mPortValues.push_back(*valueIt);
    }
}


InterV__plant__rendezVous::~InterV__plant__rendezVous(){
}


