#ifndef INCLUDE_PLANT_ATOMEXTERNALPORT____PLANT____FLOATPORT_HPP_
#define INCLUDE_PLANT_ATOMEXTERNALPORT____PLANT____FLOATPORT_HPP_

#include <AtomExternalPort.hpp>

#include <plant/PT__plant__floatPort.hpp>

class AtomExternalPort__plant__floatPort : public AtomExternalPort {
public:
    AtomExternalPort__plant__floatPort(const string &name, const EventConsumptionPolicy &policy);
    virtual ~AtomExternalPort__plant__floatPort();

    virtual void initialize() { }
    virtual bool hasEvent() const { return false; }
    virtual void popEvent() { }
    virtual void purgeEvents() { }

    virtual double &lastEvent_get_d() { return m_d; }

protected:
    double m_d;

private:
};

#endif // INCLUDE_PLANT_ATOMEXTERNALPORT____PLANT____FLOATPORT_HPP_
