// /home/siemens/bip/examples/SpeedControlModule/modelDetection/rv22/plant/plant.bip:66:1

#include <plant/CT__plant__Compound.hpp>

CT__plant__Compound::CT__plant__Compound (const string &name, AT__plant__Brake &_comp_decl__brake, AT__plant__Throttle &_comp_decl__throttle, AT__plant__SpeedSensor &_comp_decl__speedSensor
                              , ConnT__plant__rendezVous &_conn_decl__throttleAction, ConnT__plant__rendezVous &_conn_decl__brakeAction, ConnT__plant__noChange &_conn_decl__noChange
                              
                              
                              
                              

) : ComponentItf(name, COMPOUND), Compound(name), _comp_decl__brake(_comp_decl__brake), _comp_decl__throttle(_comp_decl__throttle), _comp_decl__speedSensor(_comp_decl__speedSensor), _conn_decl__throttleAction(_conn_decl__throttleAction), _conn_decl__brakeAction(_conn_decl__brakeAction), _conn_decl__noChange(_conn_decl__noChange) {
    this->addComponent(_comp_decl__brake);
    this->addComponent(_comp_decl__throttle);
    this->addComponent(_comp_decl__speedSensor);
    this->addConnector(_conn_decl__throttleAction);
    this->addConnector(_conn_decl__brakeAction);
    this->addConnector(_conn_decl__noChange);
}

CT__plant__Compound::~CT__plant__Compound() {
}
